RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005348USAF[All Projects] Generalpublic2019-11-09 15:322019-11-10 17:55
ReporterSparker 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.0 
Summary0005348: Ammo config issue
DescriptionHi!

I've got this scripting error: https://pastebin.com/GvbcaSGv [^]
Hopefully I had Arma Debug Engine loaded, so it has produced a call stack dump, which you can see in the pastebin.
I've reported about the error to ACE team, since the call stack was referring to an ACE function.

However ACE developers have found that it's likely an config issue, to be precise, a quote from Baermitumlaut: "it looks like the vanilla effects are tied to effectsMissileInit, while RHSUSF_SMAW_MissileTrail is tied to effectsMissile".

I have no understanding of these configs, but hope it can help.
Steps To ReproduceInitially caused by ACE cook off, but then people at ACE slack have reported it happening just by firing the SMAW launcher.
Additional InformationA screenshot by Baermitumlaut which might help:
https://files.slack.com/files-pri/T04889UCE-FQEDL0F46/grafik.png [^]
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version1.94
Did you used any other mod when the error occurred?Yes
Which mods?ACE, Arma Debug Engine
Attached Filespng file icon grafik.png [^] (65,866 bytes) 2019-11-10 16:35

- Relationships

-  Notes
(0010043)
dedmen (reporter)
2019-11-09 22:20

Heres the code that causes this https://github.com/acemod/ACE3/blob/master/addons/cookoff/functions/fnc_detonateAmmunition.sqf#L62 [^]
createVehicle'ing that ammo causes boom.
(0010044)
reyhard (administrator)
2019-11-09 22:53
edited on: 2019-11-09 22:57

what kind of error do you have precisely? I cannot access that Slack picture btw

(0010046)
Sparker (reporter)
2019-11-10 16:36

I have uploaded the picture here.
The error in the RPT is:
2019/11/09, 1:42:00 Error in expression <(density interpolate [0.98,0.981,-1,1])>
2019/11/09, 1:42:00 Error position: <density interpolate [0.98,0.981,-1,1])>
2019/11/09, 1:42:00 Error Undefined variable in expression: density
(0010047)
reyhard (administrator)
2019-11-10 17:55

the thing that you posted is correct, RHSUSF_SMAW_MissileTrail had mistake though

- Issue History
Date Modified Username Field Change
2019-11-09 15:32 Sparker New Issue
2019-11-09 16:02 Sparker Additional Information Updated View Revisions
2019-11-09 22:20 dedmen Note Added: 0010043
2019-11-09 22:53 reyhard Note Added: 0010044
2019-11-09 22:53 reyhard Assigned To => reyhard
2019-11-09 22:53 reyhard Status new => feedback
2019-11-09 22:57 reyhard Note Edited: 0010044 View Revisions
2019-11-10 16:35 Sparker File Added: grafik.png
2019-11-10 16:36 Sparker Note Added: 0010046
2019-11-10 16:36 Sparker Status feedback => new
2019-11-10 17:55 reyhard Note Added: 0010047
2019-11-10 17:55 reyhard Status new => resolved
2019-11-10 17:55 reyhard Fixed in Version => 0.5.0
2019-11-10 17:55 reyhard Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker